#### Previous topic

scipy.sparse.linalg.spsolve_triangular

#### Next topic

scipy.sparse.linalg.MatrixRankWarning

# scipy.sparse.linalg.factorized

`scipy.sparse.linalg.``factorized`(A)

  Return a function for solving a sparse linear system, with A pre-factorized.

  Parameters:

  A : (N, N) array_like

  > Input.

  Returns:

  solve : callable

  > To solve the linear system of equations given in A, the solve callable should be passed an ndarray of shape (N,).

  Examples

      >>> from scipy.sparse.linalg import factorized
      >>> A = np.array([[ 3. ,  2. , -1. ],
      ...               [ 2. , -2. ,  4. ],
      ...               [-1. ,  0.5, -1. ]])
      >>> solve = factorized(A) # Makes LU decomposition.
      >>> rhs1 = np.array([1, -2, 0])
      >>> solve(rhs1) # Uses the LU factors.
      array([ 1., -2., -2.])